Skip to main content
`Ctrl`+`K`

# PetscStrcmpAny

Determines whether a string matches any of a list of strings.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrcmpAny(const char src[], PetscBool *match, const char cmp[], ...)

Not Collective, No Fortran Support

## Input Parameters

- src - pointer to input the string

- cmp - list of non-null and non-empty strings to be compared against, pass the empty string “” to terminate the list

## Output Parameter

- match - `PETSC_TRUE` if the input string matches any in the list, else `PETSC_FALSE`

## See Also

`PetscStrcmp()`

## Level

intermediate

## Location

src/sys/utils/str.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages